<?php
/**
 * @package Sj Zoo Category Summary
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

$options	= $params->toObject();
$instance	= rand().time();

	$image_config = array(
		'output_width'  => $params->get('item_image_width',  200),
		'output_height' => $params->get('item_image_height', 200),
		'function'		=> $params->get('item_image_function', 'resize_none'),
		'background'	=> $params->get('item_image_background', null)
	);
	$small_image_config=array(
		'output_width'  => $params->get('small_image_width',  200),
		'output_height' => $params->get('small_image_height', 200),
		'function'		=> $params->get('item_image_function', 'resize_none'),
		'background'	=> $params->get('item_image_background', null)
	);
?>

<?php ob_start(); ?>
#yt-vm-catsummary-<?php echo $module->id; ?>, #yt-vm-catsummary-<?php echo $module->id; ?> .yt_vm_introtext, #yt-vm-catsummary-<?php echo $module->id; ?> .yt_vm_footertext {
    width: <?php echo $options->width_module;?>px;
    overflow: hidden
    
}
<?php 
 $style_theme=ob_get_contents();
 @ob_clean();
 $document=&JFactory::getDocument();
 $document->addStyleDeclaration($style_theme);
 ?>
<script type="text/javascript">
$jsmart(document).ready(function($) {	
		var i = <?php echo $options->show_order;?>;		
		var obj = $('#all_content_cover_<?php echo $module->id;?>');
		$.each(obj.children('.content_art'), function(key, val){ 
			//alert(key);
			var sub = $(val).children('.cover_sub_content').children('.content_sub');
			var opacity = $(val).children('.opacity');			
			var height = sub.height()+30;
			var item_title = $(val).children('.cover_sub_content').children('.item_title');
			var height_title = item_title.height();
			
			$(val).children('.cover_sub_content').height(height_title + 20);
			if(key == i){
				$(val).height(height+ height_title);
				$(val).addClass('actived');
				sub.show();   
				opacity.height(height+ height_title);
				$(val).children('.cover_sub_content').height(height+ height_title);									
				$(val).children('.cover_sub_content').children('.item_title').children('.arrow').addClass('selected');
			}
			else
			{
				$(val).children('.cover_sub_content').children('.content_sub').hide();
				opacity.height(height_title +20);
			}

			//alert(height);
			$(val).children('.cover_sub_content').children('.item_title').children('.arrow').click(function() {								  
			$(val).removeClass('actived');		  
											$(val).children('.cover_sub_content').children('.content_sub').hide();	
											$(val).height(height_title+20);
											$(val).children('.opacity').height(height_title+20);
											$(val).children('.cover_sub_content').height(height_title+ 20);																				
											$(val).children('.cover_sub_content').children('.item_title').children('.arrow').removeClass('selected');  
											  });	
			$(val).hoverIntent( {    
				 over:function(){
								idhover = $(val).attr('id');
								$.each(obj.children('.content_art'), function(key1, val1){
									var item_title = $(val1).children('.cover_sub_content').children('.item_title');
									var height_title = item_title.height();
									$(val1).height(height_title+20);
									$(val1).children('.opacity').height(height_title+20);
									$(val1).children('.cover_sub_content').height(height_title+ 20);
									$(val1).children('.cover_sub_content').children('.content_sub').hide();
									
									if($(val1).attr('id')!=idhover)
									{	
										$(val1).removeClass('actived');
										$(val1).children('.cover_sub_content').children('.item_title').children('.arrow').removeClass('selected');
									}
									
								});	
								
								if(!$(val).hasClass('actived'))
								{
									$(val).animate({height:  height+ height_title}, 250, function (){});
									$(val).addClass('actived');
									sub.show();
									opacity.height(height+ height_title);
									$(val).children('.cover_sub_content').height(height+ height_title);										
									$(val).children('.cover_sub_content').children('.item_title').children('.arrow').addClass('selected');

								}
								
								if($(val).hasClass('actived'))
								{
									opacity.height(height+ height_title);		
									sub.show();				
									$(val).children('.cover_sub_content').height(height+ height_title);
									
								}
								
							}, 
				         timeout: 500,  
				         out: function(){								
									
							}  
					});			
		})				
	});				
</script>
<?php if (!empty($list)): ?>
<div id="yt-vm-catsummary-<?php echo $module->id; ?>">
    <?php if (!empty($options->pretext)): ?>
        <div class="yt_vm_introtext"><?php echo $options->pretext; ?></div>
    <?php endif; ?>

    <div class="yt_vm_catsummary">	     
		<?php include JModuleHelper::getLayoutPath($module->module, $options->theme); ?>        
    </div>
	<?php if (!empty($options->posttext)): ?>
          <div class="yt_vm_footertext"><?php echo $options->posttext; ?></div>
    <?php endif; ?>

</div>
<?php else: ?>
<p>Have no items! Please recheck module config!</p>
<?php endif; ?>