<?php
/**
 * @package Sj Zoo Category Summary
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
?>
<div class="theme3">
	<div class="main-content" style="width: <?php echo $options->width_module?>px; height:<?php echo $options->item_image_height?>px; background-color:<?php echo $options->category_background;?>;">
		<?php if (!empty($list)) {
			foreach($list as $items){?>	
				<div class="category_content" style="width:<?php echo $options->item_image_width;?>px;">
					<div class="category" style="width:<?php echo ($options->item_image_width /2);?>px;">
						<?php if ($options->cat_title_display == 1) {?>
							<div class="category_title">
								<a style="color:<?php echo $options->cat_title_color;?>;" href="<?php echo ($options->cat_title_linkable)?$items->link:"#";?>" target="<?php echo $options->link_target;?>" onclick="<?php if($options->cat_title_linkable):?>javascript: return true; <?php else: ?>javascript: return false; <?php endif;?>">				
									<?php echo Ytools::truncate($items->title,$options->cat_title_max_characters) ;?>							
								</a>
							</div>
						<?php }?>	
						<?php if ($options->cat_description_display == 1) {?>
							<div class="category_desc" style="font-weight:normal;color:<?php echo $options->cat_desc_color;?>" >			
								<?php if ( (int)$params->get('cat_desc_keep_html', 1) ){ 
										echo Ytools::truncate($items->description,$options->cat_description_max_characters) ;
								} else {
										$tmp_desc = strip_tags($items->description);
										echo Ytools::truncate($tmp_desc,$options->cat_description_max_characters) ;
								}?>				
							</div> 
						<?php }?>
					 	<?php if ($options->item_all_display == 1) {?>
							<div class="read_more">
								<a style="color:<?php echo $options->cat_desc_color;?>; float: right" href="<?php echo $items->link;?>" target="<?php echo $options->link_target;?>">				
									<?php echo $options->view_all_text;?>				
								</a>
							</div>
						<?php }?>
					</div> 	<!-- END category -->			
					<div class="category_image" style="width: <?php echo $options->item_image_width?>px; height:<?php echo $options->item_image_height?>px;">						
						<img src="<?php  echo YTools::resize($items->image ,$image_config);?>" title="<?php echo $items->title;?>" alt="<?php echo $items->title?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>
					</div>  <!-- END image -->	    
				</div>	<!-- END category_content -->
		<?php }
		 } ?>	   
		<div class="item_nums" id="item_nums_<?php echo $module->id;?>"  style="width: <?php echo $options->width_module?>px;"> 
			<?php foreach($list as $values){ $items=&$values->child;  ?>
				<?php if (!empty($items)) {$i=0; $count_item = count ($items);			
					foreach ($items as $key=>$item) {?>				   
					<div id="opacity_<?php echo $module->id.$key;?>" class="opacity" style="left:<?php echo (round(($options->width_module / $count_item)*$i));?>px; background-color:<?php echo $options->item_background;?>; width:<?php echo (round(($options->width_module / $count_item)-20));?>px; overflow: hidden;">
			    	</div><!-- End opacity -->
						<div id="item_element_<?php echo $module->id.$key;?>" class="item" style="left:<?php echo (round(($options->width_module / $count_item)*$i));?>px; width:<?php echo (round(($options->width_module / $count_item)-20));?>px; overflow: hidden;">						 
							<div class="item_content">																			
								<div id="item_image_<?php echo $module->id.$key;?>" class="item_image" style="width:<?php echo (round(($options->width_module / $count_item)-40));?>px;  height:<?php echo $options->small_image_height?>px;">
									<?php if (($options->item_image_display == 1)) {?>						
										<a href="<?php echo ($options->item_image_linkable)?$item->link:"#";?>" target="<?php echo $options->link_target;?>" onclick="<?php if($options->item_image_linkable):?>javascript: return true; <?php else: ?>javascript: return false; <?php endif;?>">				
											<img class="image_item" src="<?php  echo YTools::resize($item->image,$small_image_config);?>" title="<?php echo $item->title;?>" alt="<?php echo $item->title?>" height="<?php echo $options->small_image_height; ?>px" width="<?php echo $options->small_image_width?>px"/>
										</a>	
									<?php } else { ?>
										<div class="item_title_desc" style="height:<?php echo ($options->small_image_height-15)?>px;">
											<div class="item_title" style="padding-bottom: 5px">
												<?php if ($options->item_title_display == 1) {?>
													<a style="color:<?php echo $options->title_color;?>;" href="<?php echo ($options->item_title_linkable)?$item->link:"#";?>" target="<?php echo $options->link_target;?>" onclick="<?php if($options->item_title_linkable):?>javascript: return true; <?php else: ?>javascript: return false; <?php endif;?>">				
														<?php echo Ytools::truncate($item->title,$options->item_title_max_characters) ;?>							
													</a>
												<?php }?>	
											</div>				                           			
										 	<?php if ($options->item_description_display == 1) {?>
												<div class="item_desc" style="color:<?php echo $options->item_description_color;?>; float:left;width:100%" >										                             
												 <?php	if ( (int)$params->get('item_description_keephtml', 1) ){ 
												 		echo Ytools::truncate($item->description,$options->item_description_max_characters) ;
												 } else {
														$item_desc = strip_tags($item->description);
														echo Ytools::truncate($item_desc,$options->item_description_max_characters) ;
												}?>													
												</div>
											<?php }?>
										</div>
										<?php if ($options->item_readmore_display == 1) {?>
											<div class="read_more">
												<a style="<?php echo $options->item_readmore_color;?>; float: right" href="<?php echo $item->link;?>" target="<?php echo $options->link_target;?>">	
													<?php echo $options->item_readmore_text;?>				
												</a>
											</div>
										<?php }?>
									<?php }?>
								</div>  								
								<div id="sub_content_<?php echo $module->id.$key;?>" class="sub_content">							
									<div class="item_title_desc">
										<div class="item_title" style="padding-bottom: 5px">
											<?php if ($options->item_title_display == 1) {?>
												<a style="color:<?php echo $options->item_title_color;?>;" href="<?php echo ($options->item_title_linkable)?$item->link:"#";?>" target="<?php echo $options->link_target;?>" onclick="<?php if($options->item_title_linkable):?>javascript: return true; <?php else: ?>javascript: return false; <?php endif;?>">				
													<?php echo Ytools::truncate($item->title,$options->item_title_max_characters) ;?>							
												</a>
											<?php }?>	
										</div>		                            						
										<?php if ($options->item_description_display == 1) {?>
											<div class="item_desc" style="color:<?php echo $options->item_description_color;?>; float:left; width:100%;" >	
												 <?php	if ( (int)$params->get('item_description_keephtml', 1) ){ 
													 	echo Ytools::truncate($item->description,$options->item_description_max_characters) ;
												  } else {
												  		$item_desc = strip_tags($item->description);
														echo Ytools::truncate($item_desc,$options->item_description_max_characters) ;
													}?>																	
											</div>
										<?php }?>															
									</div>						
									<?php if ($options->item_readmore_display == 1) {?>
										<div class="read_more">
											<a style="color:<?php echo $options->item_readmore_color;?>; float: right" href="<?php echo $item->link;?>" target="<?php echo $options->link_target;?>">			
												<?php echo $options->item_readmore_text;?>				
											</a>
										</div>
									<?php }?>
								</div><!-- End sub_content -->
							</div> <!-- END item_content-->  			
						</div> <!-- END item--> 				
					<script type="text/javascript">
					$jsmart(document).ready(function($) {						
					    $('#opacity_<?php echo $module->id.$key;?>').height($('#item_element_<?php echo $module->id.$key;?>').children('.item_content').children('.item_image').height() + 20);
						var height = $('#sub_content_<?php echo $module->id.$key;?>').height();
						$('#sub_content_<?php echo $module->id.$key;?>').hide();						
						$('#item_element_<?php echo $module->id.$key;?>').hoverIntent({
						    over: 	function(){						
						
							$.each($('#item_nums_<?php echo $module->id;?>').children('.item'),function(key, val){
								$(val).children('.item_content').children('.sub_content').hide();
								$(val).children('.item_content').children('.item_image').show();								
								var art_id = $(val).attr('id');
								var arrid = art_id.split('_');
								$('#opacity_'+arrid[2]).height($(val).children('.item_content').children('.item_image').height() +20);								
							})
							$('#item_image_<?php echo $module->id.$key;?>').hide();							
							$('#sub_content_<?php echo $module->id.$key;?>').show();							
							$('#opacity_<?php echo $module->id.$key;?>').height($('#item_element_<?php echo $module->id.$key;?>').children('.item_content').children('.item_image').height() + 20);
							$('#item_element_<?php echo $module->id.$key;?>').height($('.item_content').children('.item_image').height() + 20);
							$('#sub_content_<?php echo $module->id.$key;?>').height($('.item_content').children('.item_image').height());
							$('#sub_content_<?php echo $module->id.$key;?>').children('.item_title_desc').height($('.item_content').children('.item_image').height()-15);
						}, // function = onMouseOver callback (REQUIRED)    
					     	timeout: 500, // number = milliseconds delay before onMouseOut  							
							out: function(){				
									$('#sub_content_<?php echo $module->id.$key;?>').hide();	
								    $('#item_image_<?php echo $module->id.$key;?>').show();
									$('#opacity_<?php echo $module->id.$key;?>').height($('#item_element_<?php echo $module->id.$key;?>').children('.item_content').children('.item_image').height() + 20);
							
							}
						});
						
					});	
				</script>	 				
			   <?php $i++; } 
				} 
			} ?>
			</div> <!-- END item_nums-->	
		</div>	<!-- END main-content-->
</div> <!-- END theme3-->

